Page MenuHomePhabricator

Allow customization of "Did you mean" suggestions.
Closed, ResolvedPublic

Description

There's a lot of settings available in the phrase suggester we use in cirrus to provide "Did you mean" suggestions.
We could add url parameters to customize these settings for easy exprimentations.
And a Special message to allow wiki users to store the settings.

This is very similar to what has been done in T101111

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAllow customization of "Did you mean" suggestions

Event Timeline

dcausse created this task.Jul 23 2015, 3:09 PM
dcausse raised the priority of this task from to Needs Triage.
dcausse updated the task description. (Show Details)
dcausse added a subscriber: dcausse.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 23 2015, 3:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse claimed this task.Jul 23 2015, 3:32 PM
dcausse set Security to None.

Change 227424 had a related patch set uploaded (by DCausse):
Allow customnization of "Did you mean" suggestions

https://gerrit.wikimedia.org/r/227424

The current config is tuned to maximize suggestions, the parameters added here won't help to give more suggestions but would help to decrease "bad suggestions". We could play with confidence but I'm afraid that the suggestions would be really bad.
One way to increase suggestion is to workaround the prefix limitation. I added a hard limit to 2 for prefix length because I think it's more efficient to work on a reverse field to track typos in the first 2 chars.
Reindexing is required to activate this field see T107006.

Change 227424 merged by jenkins-bot:
Allow customization of "Did you mean" suggestions

https://gerrit.wikimedia.org/r/227424

Ironholds moved this task from Needs triage to Search on the Discovery board.Aug 4 2015, 8:18 AM
ksmith moved this task from Search to On Sprint Board on the Discovery board.Aug 27 2015, 8:30 PM
Deskana closed this task as Resolved.Sep 12 2015, 2:41 AM
Deskana moved this task from Done to Resolved on the Discovery-Search (Current work) board.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 31 2015, 5:08 AM